rte_flow_item_port_id(3)

NAME
rte_flow_item_port_id

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t id

Detailed Description

Deprecated

See also
    RTE_FLOW_ITEM_TYPE_PORT_REPRESENTOR

    RTE_FLOW_ITEM_TYPE_REPRESENTED_PORT

RTE_FLOW_ITEM_TYPE_PORT_ID

Matches traffic originating from (ingress) or going to (egress) a given DPDK port ID.

Normally only supported if the port ID in question is known by the underlying PMD and related to the device the flow rule is created against.

Definition at line 817 of file rte_flow.h.

Field Documentation

  uint32_t id
DPDK port ID.

Definition at line 818 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.